<?php
/*
Plugin Name: RSS Subscriber
Plugin URI: http://www.asceticmonk.com
Description: Retrieves the title and date of the last 5 entries of a subscribed site.
Version: 0.1 beta
Author: George Yang
Author URI: http://www.asceticmonk.com
*/

// include lastRSS
include "lastRSS.php";

// create lastRSS object
$rss = new lastRSS;
    
function ShowOneRSS($url) {
    global $rss;
    
    if ($rs = $rss->get($url)) {
        $result .= "<h3><a href=\"$rs[link]\">$rs[title]</a></h3>\n\n";

            $result .= "<ul class=\"titlelist\">\n";
            foreach ($rs['items'] as $item) {
                $result .= "\t<li><a href=\"$item[link]\">$item[title]</a> <span class=\"chrondate\">$item[pubDate]</span></li>\n";
            }
            if ($rs['items_count'] <= 0) { $result .= "\t<li>Sorry, no item found in the RSS file :-(</li>\n"; }
            $result .= "</ul>";
    }
    else {
        $result .= "Sorry! It's not possible to reach RSS file $url";
        // you will probably hide this message in a live version
    }
    
    return $result;
} 

function RSS_Subscriber($link_cat = '1', $time = 3600, $items = 5) {
    global $wpdb;
    global $rss;

    // retrieve RSS URLs
    $rss_list = $wpdb->get_col("SELECT link_rss FROM $wpdb->links WHERE link_category=" . $link_cat);
    
    // Set cache dir and cache time limit (3600 seconds == 1 hour)
    // (don't forget to chmod cache dir to 777 to allow writing)
    $rss->cache_dir = ABSPATH . 'wp-content/plugins/RSS_Subscriber/cache';
    $rss->cache_time = $time;
    $rss->items_limit = $items;
    $rss->date_format = "dMy";
    
    foreach ($rss_list as $url) {
        echo ShowOneRSS($url);
    }
}
?>